| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Private Member Functions | List of all members
MnemonicSelection Class Reference
General

`#include <mnemonics.h>`

Inheritance diagram for MnemonicSelection:
[legend]

## Public Member Functions
| MnemonicSelection ()
| MnemonicSelection (const Mnemonic *exclude)
| MnemonicSelection (const Mnemonic::StdType)
| MnemonicSelection (const UnitOfMeasure &)
void | fillPar (IOPar &) const
const Mnemonic * | getByName (const char *, bool matchaliases=true) const
void | getNames (BufferStringSet &) const
void | sort ()
bool | usePar (const IOPar &)
Public Member Functions inherited from ObjectSet< const Mnemonic >
| ObjectSet ()
| ObjectSet (const Mnemonic *)
| ObjectSet (const Mnemonic *, const Mnemonic *)
| ObjectSet (const Mnemonic *, const Mnemonic *, const Mnemonic *)
| ObjectSet (const ObjectSet &)
virtual | ~ObjectSet ()
ObjectSet & | add (const Mnemonic *t)
bool | addIfNew (const Mnemonic *)
void | allowNull (bool yn=true)
virtual void | append (const ObjectSet &)
iterator | begin ()
const_iterator | begin () const
const_iterator | cbegin () const
const_iterator | cend () const
ObjectSet * | clone () const override
virtual void | copy (const ObjectSet &)
bool | empty () const
iterator | end ()
const_iterator | end () const
void | erase () override
const Mnemonic * | first ()
const const Mnemonic * | first () const
virtual const Mnemonic * | get (const const Mnemonic *) const
| check & unconst
virtual const Mnemonic * | get (idx_type)
virtual const const Mnemonic * | get (idx_type) const
virtual size_type | getCapacity () const
idx_type | getIdx (const_iterator it) const
idx_type | getIdx (iterator it) const
virtual idx_type | indexOf (const const Mnemonic *) const
virtual void | insertAfter (const Mnemonic *newptr, idx_type)
virtual void | insertAt (const Mnemonic *newptr, idx_type)
virtual bool | isManaged () const
virtual bool | isPresent (const const Mnemonic *) const
const Mnemonic * | last ()
const const Mnemonic * | last () const
size_type | max_size () const
od_int64 | nrItems () const override
bool | nullAllowed () const
bool | operator!= (const ObjectSet &oth) const
ObjectSet & | operator+= (const Mnemonic *t)
virtual ObjectSet & | operator-= (const Mnemonic *)
ObjectSet & | operator= (const ObjectSet &)
bool | operator== (const ObjectSet &) const
const const Mnemonic * | operator[] (const const Mnemonic *t) const
const Mnemonic * | operator[] (idx_type i)
const const Mnemonic * | operator[] (idx_type i) const
void | plainErase ()
virtual const Mnemonic * | pop ()
void | push (const Mnemonic *t)
virtual void | removeRange (idx_type from, idx_type to)
virtual const Mnemonic * | removeSingle (idx_type, bool keep_order=true)
virtual const Mnemonic * | replace (idx_type, const Mnemonic *)
void | reverse () override
virtual bool | setCapacity (size_type, bool withmargin)
| Allocates mem only, no size() change.
void | setNullAllowed (bool yn=true)
virtual bool | setSize (size_type)
size_type | size () const
void | swap (idx_type, idx_type)
void | swap (ObjectSet &oth)
void | swapItems (od_int64 i1, od_int64 i2) override
void | useIndexes (const idx_type *)
bool | validIdx (od_int64) const override
Public Member Functions inherited from OD::Set
virtual | ~Set ()
bool | isEmpty () const
void | setEmpty ()

## Static Public Member Functions
static MnemonicSelection | getAllPorosity ()
static MnemonicSelection | getAllSaturations ()
static MnemonicSelection | getAllVolumetrics ()
static MnemonicSelection | getGroupFor (const Mnemonic &)
static const Mnemonic * | getGuessed (const char *, const Mnemonic::StdType, const BufferStringSet *hintnms=nullptr)
static const Mnemonic * | getGuessed (const char *, const UnitOfMeasure *, const BufferStringSet *hintnms=nullptr)
Static Public Member Functions inherited from OD::Set
static od_int32 | maxIdx32 ()
static od_int64 | maxIdx64 ()

## Private Member Functions
const Mnemonic * | getGuessed (const char *, const BufferStringSet *hintnms) const

## Additional Inherited Members
Public Types inherited from ObjectSet< const Mnemonic >
typedef impl_type::const_iterator | const_iterator
typedef const value_type & | const_reference
typedef size_type | difference_type
typedef size_type | idx_type
typedef impl_type::iterator | iterator
typedef const Mnemonic | object_type
typedef value_type & | reference
typedef int | size_type
typedef const Mnemonic * | value_type
Protected Types inherited from ObjectSet< const Mnemonic >
typedef VectorAccess< const Mnemonic *, size_type > | impl_type
Protected Member Functions inherited from ObjectSet< const Mnemonic >
virtual ObjectSet & | doAdd (const Mnemonic *)
Protected Attributes inherited from ObjectSet< const Mnemonic >
bool | allow0_
impl_type | vec_

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ MnemonicSelection() [1/4]

MnemonicSelection::MnemonicSelection | ( |  | ) |

## ◆ MnemonicSelection() [2/4]

MnemonicSelection::MnemonicSelection | ( | const Mnemonic * | exclude | ) |

## ◆ MnemonicSelection() [3/4]

MnemonicSelection::MnemonicSelection | ( | const Mnemonic::StdType |  | ) |

## ◆ MnemonicSelection() [4/4]

MnemonicSelection::MnemonicSelection | ( | const UnitOfMeasure & |  | ) |

## Member Function Documentation

## ◆ fillPar()

void MnemonicSelection::fillPar | ( | IOPar & |  | ) | const

## ◆ getAllPorosity()

static MnemonicSelection MnemonicSelection::getAllPorosity | ( |  | ) |
| static

## ◆ getAllSaturations()

static MnemonicSelection MnemonicSelection::getAllSaturations | ( |  | ) |
| static

## ◆ getAllVolumetrics()

static MnemonicSelection MnemonicSelection::getAllVolumetrics | ( |  | ) |
| static

## ◆ getByName()

const Mnemonic * MnemonicSelection::getByName | ( | const char * | ,
|  | bool | matchaliases = true ) const

## ◆ getGroupFor()

static MnemonicSelection MnemonicSelection::getGroupFor | ( | const Mnemonic & |  | ) |
| static

## ◆ getGuessed() [1/3]

const Mnemonic * MnemonicSelection::getGuessed | ( | const char * | ,
|  | const BufferStringSet * | hintnms ) const
| private

## ◆ getGuessed() [2/3]

static const Mnemonic * MnemonicSelection::getGuessed | ( | const char * | ,
|  | const Mnemonic::StdType | ,
|  | const BufferStringSet * | hintnms = nullptr )
| static

## ◆ getGuessed() [3/3]

static const Mnemonic * MnemonicSelection::getGuessed | ( | const char * | ,
|  | const UnitOfMeasure * | ,
|  | const BufferStringSet * | hintnms = nullptr )
| static

## ◆ getNames()

void MnemonicSelection::getNames | ( | BufferStringSet & |  | ) | const

## ◆ sort()

void MnemonicSelection::sort | ( |  | ) |

## ◆ usePar()

bool MnemonicSelection::usePar | ( | const IOPar & |  | ) |

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025